# inspired from fedora spec file
# Copyright (c) 2016-2017 Shawn Iwinski <shawn@iwin.ski>
#                         Remi Collet <remi@fedoraproject.org>
# License: MIT
# http://opensource.org/licenses/MIT

%define github_name     autoloader
%define composer_name   autoloader
%define composer_vendor fedora
%define beta            rc1

%define php_libdir         %{_datadir}/php
%define phpab_template_dir %{php_libdir}/TheSeer/Autoload/templates/ci

Name:          php-%{composer_vendor}-%{composer_name}
Version:       1.0.0
Release:       %mkrel 0.%{beta}.1
Summary:       Fedora Autoloader
Group:         Development/PHP
License:       MIT
URL:           https://github.com/php-fedora/autoloader
Source0:       https://github.com/php-fedora/autoloader/archive/%{github_name}-%{version}-%{beta}.tar.gz
BuildArch:     noarch

# composer.json
Requires:      php >= 5.3.3
# phpcompatinfo (computed from version 1.0.0)
Requires:      php-ctype

# Composer
Provides:      php-composer(%{composer_vendor}/%{composer_name}) = %{version}

%description
Static PSR-4 [1], PSR-0 [2], and classmap autoloader.  Includes loader for
required and optional dependencies.

[1] http://www.php-fig.org/psr/psr-4/
[2] http://www.php-fig.org/psr/psr-0/

%package devel
Summary: %{name} devel
Group:   Development/PHP
Requires: %{name} = %{version}-%{release}
Requires: php-composer(theseer/autoload) >= 1.2.2

%description devel
Provides needed tools to build other packages:
- phpab fedora template

%prep
%setup -qn %{github_name}-%{version}-%{beta}

: Set autoload path in phpab templates
sed "s#___AUTOLOAD_PATH___#'Fedora/Autoloader'#" \
    res/phpab/fedora.php.tpl >res/phpab/fedora2.php.tpl
sed "s#___AUTOLOAD_PATH___#'%{php_libdir}/Fedora/Autoloader'#" \
    -i res/phpab/fedora.php.tpl


%build

%install
mkdir -p %{buildroot}%{php_libdir}/Fedora/Autoloader
cp -rp src/* %{buildroot}%{php_libdir}/Fedora/Autoloader/

mkdir -p %{buildroot}%{phpab_template_dir}
cp -p res/phpab/fedora*.php.tpl %{buildroot}%{phpab_template_dir}/

%files
%doc LICENSE
%dir %{php_libdir}/Fedora
%{php_libdir}/Fedora/Autoloader

%files devel
%doc *.md
%doc composer.json
%{phpab_template_dir}/fedora*.php.tpl


%changelog
* Tue Apr 18 2017 guillomovitch <guillomovitch> 1.0.0-0.rc1.1.mga6
+ Revision: 1096685
- imported package php-fedora-autoloader

